%define release_commit 212149f40b34514d87a355ad099be4ea4acd96a9

Name:           iucode-tool
Version:        2.2
Release:        1%{?dist}
Summary:        iucode_tool is a program to manipulate microcode update collections for Intel i686 and X86-64 system processors, and prepare them for use by the Linux kernel

License:        GPlv2+
URL:            https://gitlab.com/iucode-tool/iucode-tool
Source0:	https://gitlab.com/iucode-tool/releases/raw/%{release_commit}/iucode-tool_%{version}.tar.xz

# This tool is only useful for x86_64 and i686
ExclusiveArch:	%{ix86} x86_64

%description
iucode_tool is a program to manipulate microcode update collections for Intel i686 and X86-64 system processors, and prepare them for use by the Linux kernel.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc README TODO NEWS
%doc %{_mandir}/man*/*
%{_sbindir}/iucode_tool


%changelog
* Thu Jan 11 2018 Patrick Uiterwijk <patrick@puiterwijk.org> - 2.2-1
- Initial packaging
